moeoIBEASorting(3)

NAME
moeoIBEASorting - Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) without uncertainty Adapted from the Zitzler and Künzli paper 'Indicator-Based Selection in Multiobjective Search' (2004) Of course, Fitness needs to be an eoParetoFitness object.

SYNOPSIS

#include <moeoIBEA.h>

Inherits moeoIBEA< EOT, Fitness >< EOT, Fitness >.

  Public Member Functions
moeoIBEASorting (moeoBinaryQualityIndicator< Fitness > *_I, const double _kappa)
constructor

  Private Member Functions
void setBounds (const eoPop< EOT > &_pop)
computation and setting of the bounds for each objective
void fitnesses (const eoPop< EOT > &_pop)
computation and setting of the fitness for each individual of the population

  Private Attributes
double kappa
scaling factor kappa

Detailed Description

  template<class EOT, class Fitness = typename EOT::Fitness> class moeoIBEASorting< EOT, Fitness >
Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) without uncertainty Adapted from the Zitzler and Künzli paper 'Indicator-Based Selection in Multiobjective Search' (2004) Of course, Fitness needs to be an eoParetoFitness object.

Definition at line 84 of file moeoIBEA.h.

Constructor & Destructor Documentation

  template<class EOT, class Fitness = typename EOT::Fitness> moeoIBEASorting< EOT, Fitness >::moeoIBEASorting (moeoBinaryQualityIndicator< Fitness > * _I, const double _kappa) [inline]

constructor

Parameters:
    eoBinaryQualityIndicator<EOT>* _I the binary quality indicator to use in the selection process
    double _kappa scaling factor kappa

Definition at line 96 of file moeoIBEA.h.

References moeoIBEASorting< EOT, Fitness >::kappa.

Member Function Documentation

  template<class EOT, class Fitness = typename EOT::Fitness> void moeoIBEASorting< EOT, Fitness >::setBounds (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the bounds for each objective

Parameters:
    const eoPop<EOT>& _pop the population

Implements moeoIBEA< EOT, Fitness >.

Definition at line 121 of file moeoIBEA.h.

References moeoIBEA< EOT, Fitness >::I, and moeoBinaryQualityIndicator< EOFitness >::setBounds().

  template<class EOT, class Fitness = typename EOT::Fitness> void moeoIBEASorting< EOT, Fitness >::fitnesses (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the fitness for each individual of the population

Parameters:
    const eoPop<EOT>& _pop the population

Implements moeoIBEA< EOT, Fitness >.

Definition at line 150 of file moeoIBEA.h.

References moeoIBEASorting< EOT, Fitness >::kappa, and eoValueParam< std::vector< WorthT > >::value().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.